<?php
# Get Other Templates 
/*-----------------------------*/
function colorsnap_include($template){
	get_template_part ( get_template_directory() . '/inc/'.$template.'.php' );
}
#Changing excerpt more
   function colorsnap_excerpt_more($more) {
   global $post;
   return '... <a class="read-article" href="'. get_permalink($post->ID) . '">' .  __('Read Article', 'colorsnap').' &#8594;' . '</a>';
   }
   add_filter('excerpt_more', 'colorsnap_excerpt_more');

# Search
add_theme_support( 'html5', array( 'search-form' ) );

#Excerpt Length
function colorsnap_excerpt_length( $length ) {
	return 95;
}
add_filter( 'excerpt_length', 'colorsnap_excerpt_length', 999 );

# Site Title
	function colorsnap_wp_title( $title, $sep ) {
	        if ( is_feed() )
	                return $title;
	        $title .= get_bloginfo( 'name' );
	        $site_description = get_bloginfo( 'description', 'display' );
	        if ( $site_description && ( is_home() || is_front_page() ) )
	                $title = "$title $sep $site_description";
	        return $title;
	}
	add_filter( 'wp_title', 'colorsnap_wp_title', 10, 2 );
	
	# No Title
	function colorsnap_the_title ( $title ) {
	
	        if ( in_the_loop() && ! is_page() ) {
	                if ( ! $title )
	                        $title = __( 'Untitled', 'colorsnap' );
	        }
	        return $title;
	
	}
	add_filter( 'the_title', 'colorsnap_the_title' );

# Comments Function (Do not Edit)  
/*-------------------------- */
if ( ! function_exists( 'colorsnap_comment' ) ) :

function colorsnap_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;

	if ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
		<div class="comment-body">
			<?php _e( 'Pingback:', 'colorsnap' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( 'Edit', 'colorsnap' ), '<span class="edit-link">', '</span>' ); ?>
		</div>

	<?php else : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
		
			<div class="comment-meta">
				<figure class="comment-avatar">
    	            <?php echo get_avatar( $comment, 48 ); ?>
                </figure>	
				
				<div class="comment-metadata">
				    <?php comment_author_link(); ?>
                    <span class="datetime"><?php comment_date('F j, Y'); ?></span>					
					<?php edit_comment_link( __( 'Edit', 'colorsnap' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-metadata -->

				<?php if ( '0' == $comment->comment_approved ) : ?>
       				<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'colorsnap' ); ?></p>
				<?php endif; ?>
		        <div class="comment-content">
				    <?php comment_text(); ?>
			    </div><!-- .comment-content ends -->
                 
				<div class="reply">
				    <?php comment_reply_link( array_merge( $args, array( 'add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			    </div><!-- .reply --> 
            </div><!-- .comment-meta ends-->
		<!-- .comment-body -->
	<?php
	endif;
}
endif; // ends check for colorsnap_comment()

# Queue Comments Reply
/*-------------------------*/
function colorsnap_comments_queue_js(){
if ( (!is_admin()) && is_singular() && comments_open() )
  wp_enqueue_script( 'comment-reply' );
}
add_action('wp_enqueue_scripts', 'colorsnap_comments_queue_js');

# Theme Scripts
/*-------------------------*/
function colorsnap_scripts() {
   wp_enqueue_style( 'style', get_stylesheet_uri() ); 
	wp_enqueue_style( 'colorsnap_fontawesome', get_stylesheet_directory_uri() . '/fa/css/font-awesome.min.css' );
	wp_enqueue_script( 'colorsnap-common-scripts', get_template_directory_uri() . '/js/common-scripts.js', array( 'jquery' ) );
	wp_enqueue_script( 'colorsnap-dtl', get_template_directory_uri() . '/js/doubletaplogo.mim.js', array( 'jquery' ) );
	wp_enqueue_script( 'colorsnap-flex', get_template_directory_uri() . '/js/flexslider.min.js', array( 'jquery' ) );
	wp_enqueue_script( 'colorsnap-global', get_template_directory_uri() . '/js/global.js', array( 'jquery' ) );
	//wp_enqueue_script( 'colorsnap-tc', get_template_directory_uri() . '/js/theme-customizer.js', array( 'jquery' ) );
				
	wp_register_style('googleFonts1', 'http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,400italic,700italic');
    wp_enqueue_style( 'googleFonts1');
	
	}
add_action( 'wp_enqueue_scripts', 'colorsnap_scripts' );

function colorsnap_live_preview() {
      wp_enqueue_script( 
           'colorsnap-themecustomizer', // Give the script a unique ID
           get_template_directory_uri() . '/js/theme-customizer.js', // Define the path to the JS file
           array(  'jquery', 'customize-preview' ), // Define dependencies
           '', // Define a version (optional) 
           true // Specify whether to put in footer (leave this true)
      );
   }
 //Enqueue live preview javascript in Theme Customizer admin screen
add_action( 'customize_preview_init' , 'colorsnap_live_preview'  );

# Add Admin stylesheet to the admin page
 
    function colorsnap_add_stylesheet_to_admin() {
	wp_register_style('colorsnap-adminstyle', get_template_directory_uri() . '/css/style-admin.css' );
        wp_enqueue_style( 'colorsnap-adminstyle' );
		 
    }

add_action( 'admin_enqueue_scripts', 'colorsnap_add_stylesheet_to_admin' );
?>